btllib::OrderQueue< T >::Block Struct Reference

## Public Member Functions

| Block (const size_t block_size)
| Block (const Block &block)=default
| Block (Block &&block) noexcept
Block & | operator= (const Block &block)=default
Block & | operator= (Block &&block) noexcept

## Public Attributes

std::vector< T > | data
size_t | current = 0
size_t | count = 0
size_t | num = 0

The documentation for this struct was generated from the following file:

- include/btllib/order_queue.hpp